<div>
  {{product|json}}

  <div *ngIf="product.amountInStock>0;else outOfStuck">
    <button *ngIf="(isInCart|async)" (click)="removeFromCart()">remove from cart</button>
    <button *ngIf="!(isInCart|async)" (click)="addToCart()">add to cart</button>
  </div>
  <ng-template #outOfStuck>
    <button disabled>out of stuck</button>
  </ng-template>
</div>
